Index: issm/trunk-jpl/src/c/classes/objects/Params/Parameters.h
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/Params/Parameters.h	(revision 14996)
+++ issm/trunk-jpl/src/c/classes/objects/Params/Parameters.h	(revision 14996)
@@ -0,0 +1,65 @@
+#ifndef _CONTAINER_PARAMETERS_H_
+#define  _CONTAINER_PARAMETERS_H_
+#include <stdio.h>
+
+/*forward declarations */
+template <class doublematrix> class Matrix;
+template <class doubletype> class Vector;
+#include "../DataSet.h"
+#include "../../../shared/shared.h"
+
+/*!\brief Declaration of Parameters class.  
+ *
+ * Declaration of Parameters class.  Parameters are vector lists (Containers) of Parameter objects.
+ */ 
+class Parameters: public DataSet{
+
+	public:
+
+		/*constructors, destructors*/ 
+		Parameters();
+		~Parameters();
+
+		/*numerics*/
+		bool  Exist(int enum_type);
+
+		void  FindParam(bool* pinteger,int enum_type);
+		void  FindParam(int* pinteger,int enum_type);
+		void  FindParam(IssmDouble* pscalar, int enum_type);
+		void  FindParam(IssmDouble* pscalar, int enum_type,IssmDouble time);
+		void  FindParam(char** pstring,int enum_type);
+		void  FindParam(char*** pstringarray,int* pM,int enum_type);
+		void  FindParam(int** pintarray,int* pM,int enum_type);
+		void  FindParam(int** pintarray,int* pM,int* PN,int enum_type);
+		void  FindParam(IssmDouble** pIssmDoublearray,int* pM,int enum_type);
+		void  FindParam(IssmDouble** pIssmDoublearray,int* pM,int* pN,int enum_type);
+		void  FindParam(IssmDouble*** parray,int* pM, int** pmdims_array,int** pndims_array,int enum_type);
+		void  FindParam(Vector<IssmDouble>** pvec,int enum_type);
+		void  FindParam(Matrix<IssmDouble>** pmat,int enum_type);
+		void  FindParam(FILE** pfid,int enum_type);
+		void  FindParam(DataSet** pdataset, int enum_type);
+
+		void  SetParam(bool boolean,int enum_type);
+		void  SetParam(int integer,int enum_type);
+		void  SetParam(IssmDouble scalar, int enum_type);
+		void  SetParam(char* string,int enum_type);
+		void  SetParam(char** stringarray,int M,int enum_type);
+		void  SetParam(IssmDouble* IssmDoublearray,int M,int enum_type);
+		void  SetParam(IssmDouble* IssmDoublearray,int M,int N,int enum_type);
+		void  SetParam(int* intarray,int M,int enum_type);
+		void  SetParam(int* intarray,int M,int N,int enum_type);
+		void  SetParam(Vector<IssmDouble>* vec,int enum_type);
+		void  SetParam(Matrix<IssmDouble>* mat,int enum_type);
+		void  SetParam(FILE* fid,int enum_type);
+		void  UnitConversion(int direction_enum);
+
+		Object* FindParamObject(int enum_type);
+
+};
+
+/*Methods relating to parameters: */
+char       *OptionsFromAnalysis(Parameters *parameters,int analysis_type);
+void        ToolkitsOptionsFromAnalysis(Parameters* parameters,int analysis_type);
+
+
+#endif //ifndef _PARAMETERS_H_
Index: issm/trunk-jpl/src/c/classes/objects/Params/StringArrayParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/Params/StringArrayParam.cpp	(revision 14995)
+++ issm/trunk-jpl/src/c/classes/objects/Params/StringArrayParam.cpp	(revision 14996)
@@ -14,7 +14,5 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../../shared/Enum/Enum.h"
 #include "../../../shared/shared.h"
-#include "../../../Container/Container.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/Params/StringParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/Params/StringParam.cpp	(revision 14995)
+++ issm/trunk-jpl/src/c/classes/objects/Params/StringParam.cpp	(revision 14996)
@@ -14,7 +14,5 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../../shared/Enum/Enum.h"
 #include "../../../shared/shared.h"
-#include "../../../Container/Container.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/Params/TransientParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/Params/TransientParam.cpp	(revision 14995)
+++ issm/trunk-jpl/src/c/classes/objects/Params/TransientParam.cpp	(revision 14996)
@@ -14,7 +14,5 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../../shared/Enum/Enum.h"
 #include "../../../shared/shared.h"
-#include "../../../Container/Container.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/Params/VectorParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/Params/VectorParam.cpp	(revision 14995)
+++ issm/trunk-jpl/src/c/classes/objects/Params/VectorParam.cpp	(revision 14996)
@@ -14,7 +14,5 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../../shared/Enum/Enum.h"
 #include "../../../shared/shared.h"
-#include "../../../Container/Container.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/Profiler.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/Profiler.cpp	(revision 14995)
+++ issm/trunk-jpl/src/c/classes/objects/Profiler.cpp	(revision 14996)
@@ -11,6 +11,6 @@
 
 #include "./Profiler.h"
+#include "./Params/Parameters.h"
 #include "./Params/DoubleParam.h"
-#include "../../Container/Parameters.h"
 #include "../../toolkits/toolkits.h"
 /*}}}*/
Index: issm/trunk-jpl/src/c/classes/objects/Vertex.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/Vertex.cpp	(revision 14995)
+++ issm/trunk-jpl/src/c/classes/objects/Vertex.cpp	(revision 14996)
@@ -13,5 +13,4 @@
 #include "../classes.h"
 #include "../../shared/shared.h"
-#include "../../Container/Parameters.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/Vertices.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/Vertices.cpp	(revision 14996)
+++ issm/trunk-jpl/src/c/classes/objects/Vertices.cpp	(revision 14996)
@@ -0,0 +1,242 @@
+/*
+ * \file Vertices.cpp
+ * \brief: Implementation of Vertices class, derived from DataSet class.
+ */
+
+/*Headers: {{{*/
+#ifdef HAVE_CONFIG_H
+	#include <config.h>
+#else
+#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
+#endif
+
+#include <vector>
+#include <functional>
+#include <algorithm>
+#include <iostream>
+
+#include "./Vertices.h"
+#include "../../shared/shared.h"
+#include "./Vertex.h"
+
+using namespace std;
+/*}}}*/
+
+/*Object constructors and destructor*/
+/*FUNCTION Vertices::Vertices(){{{*/
+Vertices::Vertices(){
+	enum_type=VerticesEnum;
+	return;
+}
+/*}}}*/
+/*FUNCTION Vertices::~Vertices(){{{*/
+Vertices::~Vertices(){
+	return;
+}
+/*}}}*/
+
+/*Numerics management*/
+/*FUNCTION Vertices::DistributePids{{{*/
+void  Vertices::DistributePids(int numberofobjects){
+
+	int num_procs;
+	int my_rank;
+
+	int  i;
+	int  pidcount    = 0;
+	int *allpidcount = NULL;
+	int *truepids    = NULL;
+	int *alltruepids = NULL;
+
+	/*recover my_rank:*/
+	my_rank=IssmComm::GetRank();
+	num_procs=IssmComm::GetSize();
+
+	/*Go through objects, and distribute pids locally, from 0 to numberofpidsperobject*/
+	for (i=0;i<this->Size();i++){
+		Vertex* vertex=dynamic_cast<Vertex*>(this->GetObjectByOffset(i));
+		vertex->DistributePids(&pidcount);
+	}
+
+	/* Now every object has distributed pids, but locally, and with a pid count starting from 
+	 * 0. This means the pids between all the cpus are not unique. We now offset the pids of each
+	 * cpus by the total last pids of the previus cpu, starting from 0.
+	 * First: get number of pids for each cpu*/
+	allpidcount=xNew<int>(num_procs);
+	#ifdef _HAVE_MPI_
+	MPI_Gather(&pidcount,1,MPI_INT,allpidcount,1,MPI_INT,0,IssmComm::GetComm());
+	MPI_Bcast(allpidcount,num_procs,MPI_INT,0,IssmComm::GetComm());
+	#else
+	allpidcount[0]=pidcount;
+	#endif
+
+	/* Every cpu should start its own pid count at the end of the pidcount from cpu-1*/
+	pidcount=0;
+	if(my_rank!=0){
+		for(i=0;i<my_rank;i++){
+			pidcount+=allpidcount[i];
+		}
+	}
+	for (i=0;i<this->Size();i++){
+		Vertex* vertex=dynamic_cast<Vertex*>(this->GetObjectByOffset(i));
+		vertex->OffsetPids(pidcount);
+	}
+
+	/* Finally, remember that cpus may have skipped some objects, because they were clones. For every 
+	 * object that is not a clone, tell them to show their pids, so that later on, they can get picked 
+	 * up by their clones: */
+	truepids   =xNewZeroInit<int>(numberofobjects);
+	alltruepids=xNewZeroInit<int>(numberofobjects);
+	for (i=0;i<this->Size();i++){
+		Vertex* vertex=dynamic_cast<Vertex*>(this->GetObjectByOffset(i));
+		vertex->ShowTruePids(truepids);
+	}
+	#ifdef _HAVE_MPI_
+	MPI_Allreduce((void*)truepids,(void*)alltruepids,numberofobjects,MPI_INT,MPI_MAX,IssmComm::GetComm());
+	#else
+	for(i=0;i<numberofobjects;i++)alltruepids[i]=truepids[i];
+	#endif
+
+	/* Now every cpu knows the true pids of everyone else that is not a clone*/
+	for(i=0;i<this->Size();i++){
+		Vertex* vertex=dynamic_cast<Vertex*>(this->GetObjectByOffset(i));
+		vertex->UpdateClonePids(alltruepids);
+	}
+
+	/* Free ressources: */
+	xDelete<int>(allpidcount);
+	xDelete<int>(truepids);
+	xDelete<int>(alltruepids);
+}
+/*}}}*/
+/*FUNCTION Vertices::FlagClones{{{*/
+void  Vertices::FlagClones(int numberofobjects){
+
+	int i;
+	int num_procs;
+
+	int* ranks=NULL;
+	int* minranks=NULL;
+
+	/*recover num_procs:*/
+	num_procs=IssmComm::GetSize();
+
+	/*Allocate ranks: */
+	ranks=xNew<int>(numberofobjects);
+	minranks=xNew<int>(numberofobjects);
+
+	for(i=0;i<numberofobjects;i++)ranks[i]=num_procs; //no cpu can have rank num_procs. This is the maximum limit.
+
+	/*Now go through all our objects and ask them to report to who they belong (which rank): */
+	Ranks(ranks);
+
+	/*We need to take the minimum rank for each vertex, and every cpu needs to get that result. That way, 
+	 * when we start building the dof list for all vertexs, a cpu can check whether its vertex already has been 
+	 * dealt with by another cpu. We take the minimum because we are going to manage dof assignment in increasing 
+	 * order of cpu rank. This is also why we initialized this array to num_procs.*/
+	#ifdef _HAVE_MPI_
+	MPI_Allreduce ( (void*)ranks,(void*)minranks,numberofobjects,MPI_INT,MPI_MIN,IssmComm::GetComm());
+	#else
+	for(i=0;i<numberofobjects;i++)minranks[i]=ranks[i];
+	#endif
+
+	/*Now go through all objects, and use minranks to flag which objects are cloned: */
+	for(i=0;i<this->Size();i++){
+		/*For this object, decide whether it is a clone: */
+		Vertex* vertex=dynamic_cast<Vertex*>(this->GetObjectByOffset(i));
+		vertex->SetClone(minranks);
+	}
+
+	/*Free ressources: */
+	xDelete<int>(ranks); 
+	xDelete<int>(minranks);
+
+}
+/*}}}*/
+/*FUNCTION Vertices::NumberOfVertices{{{*/
+int Vertices::NumberOfVertices(void){
+
+	int i,sid;
+	int max_sid=0;
+	int vertex_max_sid;
+
+	for(i=0;i<this->Size();i++){
+		Vertex* vertex=dynamic_cast<Vertex*>(this->GetObjectByOffset(i));
+		sid=vertex->Sid();
+		if (sid>max_sid)max_sid=sid;
+	}
+
+	#ifdef _HAVE_MPI_
+	MPI_Reduce (&max_sid,&vertex_max_sid,1,MPI_INT,MPI_MAX,0,IssmComm::GetComm() );
+	MPI_Bcast(&vertex_max_sid,1,MPI_INT,0,IssmComm::GetComm());
+	max_sid=vertex_max_sid;
+	#endif
+
+	/*sid starts at 0*/
+	max_sid++;
+
+	/*return:*/
+	return max_sid;
+}
+/*}}}*/
+/*FUNCTION Vertices::Ranks{{{*/
+void   Vertices::Ranks(int* ranks){
+
+	int my_rank;
+	int        sid;
+
+	/*recover my_rank:*/
+	my_rank=IssmComm::GetRank();
+
+	/*Go through a dataset, and for each object, report it cpu: */
+	for(int i=0;i<this->Size();i++){
+		/*Plug rank into ranks, according to id: */
+		Vertex* vertex=dynamic_cast<Vertex*>(this->GetObjectByOffset(i));
+		sid=vertex->Sid();
+		ranks[sid]=my_rank; 
+	}
+}
+/*}}}*/
+/*FUNCTION Vertices::ToXYZ{{{*/
+IssmDouble* Vertices::ToXYZ(void){
+
+	/*intermediary: */
+	int i;
+	int my_rank;
+	int num_vertices;
+
+	/*output: */
+	Matrix<IssmDouble>* xyz = NULL;
+	IssmDouble* xyz_serial=NULL;
+
+	/*recover my_rank:*/
+	my_rank=IssmComm::GetRank();
+
+	/*First, figure out number of vertices: */
+	num_vertices=this->NumberOfVertices();
+
+	/*Now, allocate matrix to hold all the vertices x,y and z values: */
+	xyz= new Matrix<IssmDouble>(num_vertices,3);
+
+	/*Go through vertices, and for each vertex, object, report it cpu: */
+	for(i=0;i<this->Size();i++){
+
+		/*let vertex fill matrix: */
+		Vertex* vertex=dynamic_cast<Vertex*>(this->GetObjectByOffset(i));
+		vertex->ToXYZ(xyz);
+	}
+
+	/*Assemble:*/
+	xyz->Assemble();
+
+	/*gather on cpu 0: */
+	xyz_serial=xyz->ToSerial();
+
+	/*free ressources: */
+	delete xyz;
+	if(my_rank!=0)delete xyz_serial;
+
+	/*return matrix: */
+	return xyz_serial;
+}
+/*}}}*/
Index: issm/trunk-jpl/src/c/classes/objects/Vertices.h
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/Vertices.h	(revision 14996)
+++ issm/trunk-jpl/src/c/classes/objects/Vertices.h	(revision 14996)
@@ -0,0 +1,30 @@
+#ifndef _CONTAINER_VERTICES_H_
+#define  _CONTAINER_VERTICES_H_
+
+/*forward declarations */
+#include "./DataSet.h"
+#include "../../shared/shared.h"
+
+/*!\brief Declaration of Vertices class.
+ *
+ * Declaration of Vertices class.  Vertices are vector lists (Containers) of Vertex objects.
+ * A vertex is a set of (x,y,z) coordinates defining the location of points in the mesh (not
+ * to be confused with a node, which is a degree of freedom (DOF) for a particular analysis).
+ */ 
+class Vertices: public DataSet{
+
+	public:
+
+		/*constructors, destructors:*/ 
+		Vertices();
+		~Vertices();
+
+		/*numerics:*/
+		void  DistributePids(int numberofnodes);
+		void  FlagClones(int numberofnodes);
+		int   NumberOfVertices(void);
+		void  Ranks(int* ranks);
+		IssmDouble* ToXYZ(void);
+};
+
+#endif //ifndef _VERTICES_H_
Index: issm/trunk-jpl/src/c/classes/objects/objects.h
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/objects.h	(revision 14995)
+++ issm/trunk-jpl/src/c/classes/objects/objects.h	(revision 14996)
@@ -8,8 +8,11 @@
 /*Abstract classes: */
 #include "./Object.h"
+#include "./DataSet.h"
 
 /*Objects: */
 #include "./Contour.h"
+#include "./Vertices.h"
 #include "./Vertex.h"
+#include "./Nodes.h"
 #include "./Node.h"
 #include "./Profiler.h"
@@ -20,4 +23,5 @@
 
 /*Constraints: */
+#include "./Constraints/Constraints.h"
 #include "./Constraints/Constraint.h"
 #include "./Constraints/SpcStatic.h"
@@ -26,4 +30,5 @@
 
 /*Loads: */
+#include "./Loads/Loads.h"
 #include "./Loads/Load.h"
 #include "./Loads/Friction.h"
@@ -35,4 +40,5 @@
 
 /*Elements: */
+#include "./Elements/Elements.h"
 #include "./Elements/Element.h"
 #include "./Elements/Penta.h"
@@ -74,8 +80,10 @@
 /*Option parsing objects: */
 #include "./Options/Option.h"
+#include "./Options/Options.h"
 #include "./Options/GenericOption.h"
 #include "./Options/OptionUtilities.h"
 
 /*Inputs: */
+#include "./Inputs/Inputs.h"
 #include "./Inputs/Input.h"
 #include "./Inputs/BoolInput.h"
@@ -96,8 +104,10 @@
 
 /*ExternalResults: */
+#include "./ExternalResults/Results.h"
 #include "./ExternalResults/ExternalResult.h"
 #include "./ExternalResults/GenericExternalResult.h"
 
 /*Materials: */
+#include "./Materials/Materials.h"
 #include "./Materials/Material.h"
 #include "./Materials/Matice.h"
@@ -117,4 +127,5 @@
 #include "./Params/IntMatParam.h"
 #include "./Params/FileParam.h"
+#include "./Params/Parameters.h"
 #include "./Params/Param.h"
 #include "./Params/MatrixParam.h"
Index: issm/trunk-jpl/src/c/main/issm.h
===================================================================
--- issm/trunk-jpl/src/c/main/issm.h	(revision 14995)
+++ issm/trunk-jpl/src/c/main/issm.h	(revision 14996)
@@ -15,5 +15,4 @@
 #include "../shared/shared.h"
 #include "../classes/classes.h"
-#include "../Container/Container.h"
 #include "../shared/Enum/Enum.h"
 #include "../toolkits/toolkits.h"
Index: issm/trunk-jpl/src/c/modules/AverageOntoPartitionx/AverageOntoPartitionx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/AverageOntoPartitionx/AverageOntoPartitionx.cpp	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/AverageOntoPartitionx/AverageOntoPartitionx.cpp	(revision 14996)
@@ -11,5 +11,4 @@
 
 #include "./AverageOntoPartitionx.h"
-#include "../../Container/Container.h"    
 #include "../../shared/shared.h"
 #include "../../shared/Enum/Enum.h"
Index: issm/trunk-jpl/src/c/modules/AverageOntoPartitionx/AverageOntoPartitionx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/AverageOntoPartitionx/AverageOntoPartitionx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/AverageOntoPartitionx/AverageOntoPartitionx.h	(revision 14996)
@@ -7,5 +7,4 @@
 
 #include "../../classes/objects/objects.h"
-#include "../../Container/Container.h"
 
 void AverageOntoPartitionx(double** average, Elements* elements, Nodes* nodes, Vertices* vertices, Loads* loads, Materials* materials, Parameters* parameters,double* vertex_response);
Index: issm/trunk-jpl/src/c/modules/Chacox/Chacox.h
===================================================================
--- issm/trunk-jpl/src/c/modules/Chacox/Chacox.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/Chacox/Chacox.h	(revision 14996)
@@ -32,5 +32,4 @@
 #endif
 
-#include "../../Container/Container.h"
 #include "../../classes/objects/objects.h"
 
Index: issm/trunk-jpl/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.h	(revision 14996)
@@ -7,5 +7,4 @@
 
 #include "../../classes/objects/objects.h"
-#include "../../Container/Container.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/ComputeStrainRatex/ComputeStrainRatex.h
===================================================================
--- issm/trunk-jpl/src/c/modules/ComputeStrainRatex/ComputeStrainRatex.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/ComputeStrainRatex/ComputeStrainRatex.h	(revision 14996)
@@ -7,5 +7,4 @@
 
 #include "../../classes/objects/objects.h"
-#include "../../Container/Container.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/ConfigureObjectsx/ConfigureObjectsx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/ConfigureObjectsx/ConfigureObjectsx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/ConfigureObjectsx/ConfigureObjectsx.h	(revision 14996)
@@ -6,5 +6,5 @@
 #define _CONFIGUREOBJECTSX_H
 
-#include "../../Container/Container.h"
+#include "../../classes/classes.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/ConstraintsStatex/ConstraintsStateLocal.h
===================================================================
--- issm/trunk-jpl/src/c/modules/ConstraintsStatex/ConstraintsStateLocal.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/ConstraintsStatex/ConstraintsStateLocal.h	(revision 14996)
@@ -6,5 +6,4 @@
 #define _CONSTRAINTSSTATELOCAL_H
 
-#include "../../Container/Container.h"
 #include "../../classes/objects/objects.h"
 
Index: issm/trunk-jpl/src/c/modules/ConstraintsStatex/ConstraintsStatex.h
===================================================================
--- issm/trunk-jpl/src/c/modules/ConstraintsStatex/ConstraintsStatex.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/ConstraintsStatex/ConstraintsStatex.h	(revision 14996)
@@ -6,5 +6,4 @@
 #define _CONSTRAINTSSTATEX_H
 
-#include "../../Container/Container.h"
 #include "../../classes/objects/objects.h"
 
Index: issm/trunk-jpl/src/c/modules/ControlInputGetGradientx/ControlInputGetGradientx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/ControlInputGetGradientx/ControlInputGetGradientx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/ControlInputGetGradientx/ControlInputGetGradientx.h	(revision 14996)
@@ -6,5 +6,4 @@
 
 #include "../../classes/objects/objects.h"
-#include "../../Container/Container.h"
 
 void	ControlInputGetGradientx( Vector<IssmDouble>** pgradient, Elements* elements,Nodes* nodes, Vertices* vertices,Loads* loads, Materials* materials,  Parameters* parameters);
Index: issm/trunk-jpl/src/c/modules/ControlInputScaleGradientx/ControlInputScaleGradientx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/ControlInputScaleGradientx/ControlInputScaleGradientx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/ControlInputScaleGradientx/ControlInputScaleGradientx.h	(revision 14996)
@@ -6,5 +6,4 @@
 
 #include "../../classes/objects/objects.h"
-#include "../../Container/Container.h"
 
 void	ControlInputScaleGradientx(Elements* elements,Nodes* nodes, Vertices* vertices,Loads* loads, Materials* materials,  Parameters* parameters,IssmDouble* norm_list,int step);
Index: issm/trunk-jpl/src/c/modules/ControlInputSetGradientx/ControlInputSetGradientx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/ControlInputSetGradientx/ControlInputSetGradientx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/ControlInputSetGradientx/ControlInputSetGradientx.h	(revision 14996)
@@ -6,5 +6,4 @@
 
 #include "../../classes/objects/objects.h"
-#include "../../Container/Container.h"
 
 void	ControlInputSetGradientx(Elements* elements,Nodes* nodes, Vertices* vertices,Loads* loads, Materials* materials,  Parameters* parameters,double* gradient);
Index: issm/trunk-jpl/src/c/modules/CreateNodalConstraintsx/CreateNodalConstraintsx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/CreateNodalConstraintsx/CreateNodalConstraintsx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/CreateNodalConstraintsx/CreateNodalConstraintsx.h	(revision 14996)
@@ -5,5 +5,4 @@
 #define _CREATENODALCONSTRAINTSX_H
 
-#include "../../Container/Container.h"
 #include "../../classes/objects/objects.h"
 
Index: issm/trunk-jpl/src/c/modules/Delta18oParameterizationx/Delta18oParameterizationx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/Delta18oParameterizationx/Delta18oParameterizationx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/Delta18oParameterizationx/Delta18oParameterizationx.h	(revision 14996)
@@ -6,5 +6,4 @@
 #define _DELTA18OPARAMETERIZATIONX_H
 
-#include "../../Container/Container.h"
 #include "../../classes/objects/objects.h"
 
Index: issm/trunk-jpl/src/c/modules/DragCoefficientAbsGradientx/DragCoefficientAbsGradientx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/DragCoefficientAbsGradientx/DragCoefficientAbsGradientx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/DragCoefficientAbsGradientx/DragCoefficientAbsGradientx.h	(revision 14996)
@@ -6,5 +6,4 @@
 #define _DRAGCOEFFABSGRADX_H
 
-#include "../../Container/Container.h"
 #include "../../classes/objects/objects.h"
 
Index: issm/trunk-jpl/src/c/modules/EdgeDetectionx/EdgeDetectionx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/EdgeDetectionx/EdgeDetectionx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/EdgeDetectionx/EdgeDetectionx.h	(revision 14996)
@@ -7,5 +7,4 @@
 
 #include <string.h>
-#include "../../Container/Container.h"
 #include "../../classes/objects/objects.h"
 
Index: issm/trunk-jpl/src/c/modules/Exp2Kmlx/Exp2Kmlx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/Exp2Kmlx/Exp2Kmlx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/Exp2Kmlx/Exp2Kmlx.h	(revision 14996)
@@ -7,5 +7,4 @@
 
 #include <float.h>    /*  DBL_MAX  */
-#include "../../Container/Container.h"
 #include "../../classes/objects/objects.h"
 
Index: issm/trunk-jpl/src/c/modules/GetSolutionFromInputsx/GetSolutionFromInputsx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/GetSolutionFromInputsx/GetSolutionFromInputsx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/GetSolutionFromInputsx/GetSolutionFromInputsx.h	(revision 14996)
@@ -7,5 +7,4 @@
 
 #include "../../classes/objects/objects.h"
-#include "../../Container/Container.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/GetVectorFromControlInputsx/GetVectorFromControlInputsx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/GetVectorFromControlInputsx/GetVectorFromControlInputsx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/GetVectorFromControlInputsx/GetVectorFromControlInputsx.h	(revision 14996)
@@ -6,5 +6,4 @@
 
 #include "../../classes/objects/objects.h"
-#include "../../Container/Container.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/GetVectorFromInputsx/GetVectorFromInputsx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/GetVectorFromInputsx/GetVectorFromInputsx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/GetVectorFromInputsx/GetVectorFromInputsx.h	(revision 14996)
@@ -6,5 +6,4 @@
 
 #include "../../classes/objects/objects.h"
-#include "../../Container/Container.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/GiaDeflectionCorex/GiaDeflectionCorex.h
===================================================================
--- issm/trunk-jpl/src/c/modules/GiaDeflectionCorex/GiaDeflectionCorex.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/GiaDeflectionCorex/GiaDeflectionCorex.h	(revision 14996)
@@ -7,5 +7,4 @@
 
 #include "../../classes/classes.h"
-#include "../../Container/Container.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/Gradjx/Gradjx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/Gradjx/Gradjx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/Gradjx/Gradjx.h	(revision 14996)
@@ -6,5 +6,4 @@
 #define _GRADJX_H
 
-#include "../../Container/Container.h"
 #include "../../classes/objects/objects.h"
 
Index: issm/trunk-jpl/src/c/modules/GroundinglineMigrationx/GroundinglineMigrationx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/GroundinglineMigrationx/GroundinglineMigrationx.cpp	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/GroundinglineMigrationx/GroundinglineMigrationx.cpp	(revision 14996)
@@ -7,5 +7,4 @@
 #include "../../toolkits/toolkits.h"
 #include "../../shared/Enum/Enum.h"
-#include "../../Container/Container.h"
 #include "../../classes/classes.h"
 #include "./GroundinglineMigrationx.h"
Index: issm/trunk-jpl/src/c/modules/InputArtificialNoisex/InputArtificialNoisex.h
===================================================================
--- issm/trunk-jpl/src/c/modules/InputArtificialNoisex/InputArtificialNoisex.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/InputArtificialNoisex/InputArtificialNoisex.h	(revision 14996)
@@ -7,5 +7,4 @@
 
 #include "../../classes/objects/objects.h"
-#include "../../Container/Container.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/InputControlUpdatex/InputControlUpdatex.h
===================================================================
--- issm/trunk-jpl/src/c/modules/InputControlUpdatex/InputControlUpdatex.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/InputControlUpdatex/InputControlUpdatex.h	(revision 14996)
@@ -6,5 +6,5 @@
 #define _INPUTCONTROLUPDATEX_H
 
-#include "../../Container/Container.h"
+#include "../../classes/classes.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/InputConvergencex/InputConvergencex.h
===================================================================
--- issm/trunk-jpl/src/c/modules/InputConvergencex/InputConvergencex.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/InputConvergencex/InputConvergencex.h	(revision 14996)
@@ -5,5 +5,5 @@
 #define _INPUTCONVERGENCEX_H
 
-#include "../../Container/Container.h"
+#include "../../classes/classes.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/InputDuplicatex/InputDuplicatex.h
===================================================================
--- issm/trunk-jpl/src/c/modules/InputDuplicatex/InputDuplicatex.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/InputDuplicatex/InputDuplicatex.h	(revision 14996)
@@ -6,5 +6,5 @@
 #define _INPUTDUPLICATEX_H
 
-#include "../../Container/Container.h"
+#include "../../classes/classes.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/InputScalex/InputScalex.h
===================================================================
--- issm/trunk-jpl/src/c/modules/InputScalex/InputScalex.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/InputScalex/InputScalex.h	(revision 14996)
@@ -6,5 +6,5 @@
 #define _SCALEINPUTX_H
 
-#include "../../Container/Container.h"
+#include "../../classes/classes.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/InputToResultx/InputToResultx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/InputToResultx/InputToResultx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/InputToResultx/InputToResultx.h	(revision 14996)
@@ -6,5 +6,5 @@
 #define _INPUTTORESULTX_H
 
-#include "../../Container/Container.h"
+#include "../../classes/classes.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/InputUpdateFromConstantx/InputUpdateFromConstantx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/InputUpdateFromConstantx/InputUpdateFromConstantx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/InputUpdateFromConstantx/InputUpdateFromConstantx.h	(revision 14996)
@@ -7,5 +7,4 @@
 
 #include "../../classes/objects/objects.h"
-#include "../../Container/Container.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/InputUpdateFromDakotax/InputUpdateFromDakotax.h
===================================================================
--- issm/trunk-jpl/src/c/modules/InputUpdateFromDakotax/InputUpdateFromDakotax.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/InputUpdateFromDakotax/InputUpdateFromDakotax.h	(revision 14996)
@@ -7,5 +7,4 @@
 
 #include "../../classes/objects/objects.h"
-#include "../../Container/Container.h"
 
 void  InputUpdateFromDakotax(Elements* elements,Nodes* nodes,Vertices* vertices,Loads* loads,Materials*  materials,Parameters* parameters,double* variables,char* *variables_descriptors,int numvariables);
Index: issm/trunk-jpl/src/c/modules/InputUpdateFromMatrixDakotax/InputUpdateFromMatrixDakotax.h
===================================================================
--- issm/trunk-jpl/src/c/modules/InputUpdateFromMatrixDakotax/InputUpdateFromMatrixDakotax.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/InputUpdateFromMatrixDakotax/InputUpdateFromMatrixDakotax.h	(revision 14996)
@@ -7,5 +7,4 @@
 
 #include "../../classes/objects/objects.h"
-#include "../../Container/Container.h"
 
 /* local prototypes: */
Index: issm/trunk-jpl/src/c/modules/InputUpdateFromSolutionx/InputUpdateFromSolutionx.h
===================================================================
--- issm/trunk-jpl/src/c/modules/InputUpdateFromSolutionx/InputUpdateFromSolutionx.h	(revision 14995)
+++ issm/trunk-jpl/src/c/modules/InputUpdateFromSolutionx/InputUpdateFromSolutionx.h	(revision 14996)
@@ -7,5 +7,4 @@
 
 #include "../../classes/objects/objects.h"
-#include "../../Container/Container.h"
 
 /* local prototypes: */
